
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Status" type="{http://fsws.usit.no/schemas/crud}StatusType"/>
 *         &lt;group ref="{http://fsws.usit.no/schemas/crud}CrudGroup"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "status",
    "person",
    "soknad",
    "soknadsAlternativ",
    "student",
    "vurdkombmelding",
    "undervisningsmelding",
    "studieprogramstudent",
    "kullKlasseStudent",
    "studentVurdKombProtokoll",
    "emne",
    "studieprogram",
    "undaktivitet",
    "undervisningsenhet",
    "fagperson",
    "kull",
    "kullKlasse",
    "rom",
    "sted",
    "personrolle"
})
@XmlRootElement(name = "doSelectResponse")
public class DoSelectResponse {

    @XmlElement(name = "Status", required = true)
    protected StatusType status;
    @XmlElement(name = "Person")
    protected PersonType person;
    @XmlElement(name = "Soknad")
    protected SoknadType soknad;
    @XmlElement(name = "SoknadsAlternativ")
    protected SoknadsAlternativType soknadsAlternativ;
    @XmlElement(name = "Student")
    protected StudentType student;
    @XmlElement(name = "Vurdkombmelding")
    protected VurdkombmeldingType vurdkombmelding;
    @XmlElement(name = "Undervisningsmelding")
    protected UndervisningsmeldingType undervisningsmelding;
    @XmlElement(name = "Studieprogramstudent")
    protected StudieprogramstudentType studieprogramstudent;
    @XmlElement(name = "KullKlasseStudent")
    protected KullKlasseStudentType kullKlasseStudent;
    @XmlElement(name = "StudentVurdKombProtokoll")
    protected StudentVurdKombProtokollType studentVurdKombProtokoll;
    @XmlElement(name = "Emne")
    protected EmneType emne;
    @XmlElement(name = "Studieprogram")
    protected StudieprogramType studieprogram;
    @XmlElement(name = "Undaktivitet")
    protected UndaktivitetType undaktivitet;
    @XmlElement(name = "Undervisningsenhet")
    protected UndervisningsenhetType undervisningsenhet;
    @XmlElement(name = "Fagperson")
    protected FagpersonType fagperson;
    @XmlElement(name = "Kull")
    protected KullType kull;
    @XmlElement(name = "KullKlasse")
    protected KullKlasseType kullKlasse;
    @XmlElement(name = "Rom")
    protected RomType rom;
    @XmlElement(name = "Sted")
    protected StedType sted;
    @XmlElement(name = "Personrolle")
    protected PersonrolleType personrolle;

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link StatusType }
     *     
     */
    public StatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatusType }
     *     
     */
    public void setStatus(StatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the person property.
     * 
     * @return
     *     possible object is
     *     {@link PersonType }
     *     
     */
    public PersonType getPerson() {
        return person;
    }

    /**
     * Sets the value of the person property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonType }
     *     
     */
    public void setPerson(PersonType value) {
        this.person = value;
    }

    /**
     * Gets the value of the soknad property.
     * 
     * @return
     *     possible object is
     *     {@link SoknadType }
     *     
     */
    public SoknadType getSoknad() {
        return soknad;
    }

    /**
     * Sets the value of the soknad property.
     * 
     * @param value
     *     allowed object is
     *     {@link SoknadType }
     *     
     */
    public void setSoknad(SoknadType value) {
        this.soknad = value;
    }

    /**
     * Gets the value of the soknadsAlternativ property.
     * 
     * @return
     *     possible object is
     *     {@link SoknadsAlternativType }
     *     
     */
    public SoknadsAlternativType getSoknadsAlternativ() {
        return soknadsAlternativ;
    }

    /**
     * Sets the value of the soknadsAlternativ property.
     * 
     * @param value
     *     allowed object is
     *     {@link SoknadsAlternativType }
     *     
     */
    public void setSoknadsAlternativ(SoknadsAlternativType value) {
        this.soknadsAlternativ = value;
    }

    /**
     * Gets the value of the student property.
     * 
     * @return
     *     possible object is
     *     {@link StudentType }
     *     
     */
    public StudentType getStudent() {
        return student;
    }

    /**
     * Sets the value of the student property.
     * 
     * @param value
     *     allowed object is
     *     {@link StudentType }
     *     
     */
    public void setStudent(StudentType value) {
        this.student = value;
    }

    /**
     * Gets the value of the vurdkombmelding property.
     * 
     * @return
     *     possible object is
     *     {@link VurdkombmeldingType }
     *     
     */
    public VurdkombmeldingType getVurdkombmelding() {
        return vurdkombmelding;
    }

    /**
     * Sets the value of the vurdkombmelding property.
     * 
     * @param value
     *     allowed object is
     *     {@link VurdkombmeldingType }
     *     
     */
    public void setVurdkombmelding(VurdkombmeldingType value) {
        this.vurdkombmelding = value;
    }

    /**
     * Gets the value of the undervisningsmelding property.
     * 
     * @return
     *     possible object is
     *     {@link UndervisningsmeldingType }
     *     
     */
    public UndervisningsmeldingType getUndervisningsmelding() {
        return undervisningsmelding;
    }

    /**
     * Sets the value of the undervisningsmelding property.
     * 
     * @param value
     *     allowed object is
     *     {@link UndervisningsmeldingType }
     *     
     */
    public void setUndervisningsmelding(UndervisningsmeldingType value) {
        this.undervisningsmelding = value;
    }

    /**
     * Gets the value of the studieprogramstudent property.
     * 
     * @return
     *     possible object is
     *     {@link StudieprogramstudentType }
     *     
     */
    public StudieprogramstudentType getStudieprogramstudent() {
        return studieprogramstudent;
    }

    /**
     * Sets the value of the studieprogramstudent property.
     * 
     * @param value
     *     allowed object is
     *     {@link StudieprogramstudentType }
     *     
     */
    public void setStudieprogramstudent(StudieprogramstudentType value) {
        this.studieprogramstudent = value;
    }

    /**
     * Gets the value of the kullKlasseStudent property.
     * 
     * @return
     *     possible object is
     *     {@link KullKlasseStudentType }
     *     
     */
    public KullKlasseStudentType getKullKlasseStudent() {
        return kullKlasseStudent;
    }

    /**
     * Sets the value of the kullKlasseStudent property.
     * 
     * @param value
     *     allowed object is
     *     {@link KullKlasseStudentType }
     *     
     */
    public void setKullKlasseStudent(KullKlasseStudentType value) {
        this.kullKlasseStudent = value;
    }

    /**
     * Gets the value of the studentVurdKombProtokoll property.
     * 
     * @return
     *     possible object is
     *     {@link StudentVurdKombProtokollType }
     *     
     */
    public StudentVurdKombProtokollType getStudentVurdKombProtokoll() {
        return studentVurdKombProtokoll;
    }

    /**
     * Sets the value of the studentVurdKombProtokoll property.
     * 
     * @param value
     *     allowed object is
     *     {@link StudentVurdKombProtokollType }
     *     
     */
    public void setStudentVurdKombProtokoll(StudentVurdKombProtokollType value) {
        this.studentVurdKombProtokoll = value;
    }

    /**
     * Gets the value of the emne property.
     * 
     * @return
     *     possible object is
     *     {@link EmneType }
     *     
     */
    public EmneType getEmne() {
        return emne;
    }

    /**
     * Sets the value of the emne property.
     * 
     * @param value
     *     allowed object is
     *     {@link EmneType }
     *     
     */
    public void setEmne(EmneType value) {
        this.emne = value;
    }

    /**
     * Gets the value of the studieprogram property.
     * 
     * @return
     *     possible object is
     *     {@link StudieprogramType }
     *     
     */
    public StudieprogramType getStudieprogram() {
        return studieprogram;
    }

    /**
     * Sets the value of the studieprogram property.
     * 
     * @param value
     *     allowed object is
     *     {@link StudieprogramType }
     *     
     */
    public void setStudieprogram(StudieprogramType value) {
        this.studieprogram = value;
    }

    /**
     * Gets the value of the undaktivitet property.
     * 
     * @return
     *     possible object is
     *     {@link UndaktivitetType }
     *     
     */
    public UndaktivitetType getUndaktivitet() {
        return undaktivitet;
    }

    /**
     * Sets the value of the undaktivitet property.
     * 
     * @param value
     *     allowed object is
     *     {@link UndaktivitetType }
     *     
     */
    public void setUndaktivitet(UndaktivitetType value) {
        this.undaktivitet = value;
    }

    /**
     * Gets the value of the undervisningsenhet property.
     * 
     * @return
     *     possible object is
     *     {@link UndervisningsenhetType }
     *     
     */
    public UndervisningsenhetType getUndervisningsenhet() {
        return undervisningsenhet;
    }

    /**
     * Sets the value of the undervisningsenhet property.
     * 
     * @param value
     *     allowed object is
     *     {@link UndervisningsenhetType }
     *     
     */
    public void setUndervisningsenhet(UndervisningsenhetType value) {
        this.undervisningsenhet = value;
    }

    /**
     * Gets the value of the fagperson property.
     * 
     * @return
     *     possible object is
     *     {@link FagpersonType }
     *     
     */
    public FagpersonType getFagperson() {
        return fagperson;
    }

    /**
     * Sets the value of the fagperson property.
     * 
     * @param value
     *     allowed object is
     *     {@link FagpersonType }
     *     
     */
    public void setFagperson(FagpersonType value) {
        this.fagperson = value;
    }

    /**
     * Gets the value of the kull property.
     * 
     * @return
     *     possible object is
     *     {@link KullType }
     *     
     */
    public KullType getKull() {
        return kull;
    }

    /**
     * Sets the value of the kull property.
     * 
     * @param value
     *     allowed object is
     *     {@link KullType }
     *     
     */
    public void setKull(KullType value) {
        this.kull = value;
    }

    /**
     * Gets the value of the kullKlasse property.
     * 
     * @return
     *     possible object is
     *     {@link KullKlasseType }
     *     
     */
    public KullKlasseType getKullKlasse() {
        return kullKlasse;
    }

    /**
     * Sets the value of the kullKlasse property.
     * 
     * @param value
     *     allowed object is
     *     {@link KullKlasseType }
     *     
     */
    public void setKullKlasse(KullKlasseType value) {
        this.kullKlasse = value;
    }

    /**
     * Gets the value of the rom property.
     * 
     * @return
     *     possible object is
     *     {@link RomType }
     *     
     */
    public RomType getRom() {
        return rom;
    }

    /**
     * Sets the value of the rom property.
     * 
     * @param value
     *     allowed object is
     *     {@link RomType }
     *     
     */
    public void setRom(RomType value) {
        this.rom = value;
    }

    /**
     * Gets the value of the sted property.
     * 
     * @return
     *     possible object is
     *     {@link StedType }
     *     
     */
    public StedType getSted() {
        return sted;
    }

    /**
     * Sets the value of the sted property.
     * 
     * @param value
     *     allowed object is
     *     {@link StedType }
     *     
     */
    public void setSted(StedType value) {
        this.sted = value;
    }

    /**
     * Gets the value of the personrolle property.
     * 
     * @return
     *     possible object is
     *     {@link PersonrolleType }
     *     
     */
    public PersonrolleType getPersonrolle() {
        return personrolle;
    }

    /**
     * Sets the value of the personrolle property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonrolleType }
     *     
     */
    public void setPersonrolle(PersonrolleType value) {
        this.personrolle = value;
    }

}
