
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for EmneType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EmneType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Institusjonsnr" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Emnekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Versjonskode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Emnenavnfork" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Emnenavn_Bokmal" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr_Reglement" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Faknr_Reglement" type="{http://fsws.usit.no/schemas/crud}FaknrType" minOccurs="0"/>
 *         &lt;element name="Instituttnr_Reglement" type="{http://fsws.usit.no/schemas/crud}InstituttnrType" minOccurs="0"/>
 *         &lt;element name="Gruppenr_Reglement" type="{http://fsws.usit.no/schemas/crud}GruppenrType" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr_Kontroll" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Faknr_Kontroll" type="{http://fsws.usit.no/schemas/crud}FaknrType" minOccurs="0"/>
 *         &lt;element name="Instituttnr_Kontroll" type="{http://fsws.usit.no/schemas/crud}InstituttnrType" minOccurs="0"/>
 *         &lt;element name="Gruppenr_Kontroll" type="{http://fsws.usit.no/schemas/crud}GruppenrType" minOccurs="0"/>
 *         &lt;element name="Terminkode_Und_Forste" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall_Und_Forste" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *         &lt;element name="Terminkode_Und_Siste" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall_Und_Siste" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EmneType", propOrder = {
    "institusjonsnr",
    "emnekode",
    "versjonskode",
    "emnenavnfork",
    "emnenavnBokmal",
    "institusjonsnrReglement",
    "faknrReglement",
    "instituttnrReglement",
    "gruppenrReglement",
    "institusjonsnrKontroll",
    "faknrKontroll",
    "instituttnrKontroll",
    "gruppenrKontroll",
    "terminkodeUndForste",
    "arstallUndForste",
    "terminkodeUndSiste",
    "arstallUndSiste"
})
public class EmneType {

    @XmlElement(name = "Institusjonsnr")
    protected String institusjonsnr;
    @XmlElement(name = "Emnekode")
    protected String emnekode;
    @XmlElement(name = "Versjonskode")
    protected String versjonskode;
    @XmlElement(name = "Emnenavnfork")
    protected String emnenavnfork;
    @XmlElement(name = "Emnenavn_Bokmal")
    protected String emnenavnBokmal;
    @XmlElement(name = "Institusjonsnr_Reglement")
    protected String institusjonsnrReglement;
    @XmlElement(name = "Faknr_Reglement")
    protected String faknrReglement;
    @XmlElement(name = "Instituttnr_Reglement")
    protected String instituttnrReglement;
    @XmlElement(name = "Gruppenr_Reglement")
    protected String gruppenrReglement;
    @XmlElement(name = "Institusjonsnr_Kontroll")
    protected String institusjonsnrKontroll;
    @XmlElement(name = "Faknr_Kontroll")
    protected String faknrKontroll;
    @XmlElement(name = "Instituttnr_Kontroll")
    protected String instituttnrKontroll;
    @XmlElement(name = "Gruppenr_Kontroll")
    protected String gruppenrKontroll;
    @XmlElement(name = "Terminkode_Und_Forste")
    protected String terminkodeUndForste;
    @XmlElement(name = "Arstall_Und_Forste")
    protected String arstallUndForste;
    @XmlElement(name = "Terminkode_Und_Siste")
    protected String terminkodeUndSiste;
    @XmlElement(name = "Arstall_Und_Siste")
    protected String arstallUndSiste;

    /**
     * Gets the value of the institusjonsnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnr() {
        return institusjonsnr;
    }

    /**
     * Sets the value of the institusjonsnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnr(String value) {
        this.institusjonsnr = value;
    }

    /**
     * Gets the value of the emnekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmnekode() {
        return emnekode;
    }

    /**
     * Sets the value of the emnekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmnekode(String value) {
        this.emnekode = value;
    }

    /**
     * Gets the value of the versjonskode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersjonskode() {
        return versjonskode;
    }

    /**
     * Sets the value of the versjonskode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersjonskode(String value) {
        this.versjonskode = value;
    }

    /**
     * Gets the value of the emnenavnfork property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmnenavnfork() {
        return emnenavnfork;
    }

    /**
     * Sets the value of the emnenavnfork property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmnenavnfork(String value) {
        this.emnenavnfork = value;
    }

    /**
     * Gets the value of the emnenavnBokmal property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmnenavnBokmal() {
        return emnenavnBokmal;
    }

    /**
     * Sets the value of the emnenavnBokmal property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmnenavnBokmal(String value) {
        this.emnenavnBokmal = value;
    }

    /**
     * Gets the value of the institusjonsnrReglement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnrReglement() {
        return institusjonsnrReglement;
    }

    /**
     * Sets the value of the institusjonsnrReglement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnrReglement(String value) {
        this.institusjonsnrReglement = value;
    }

    /**
     * Gets the value of the faknrReglement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaknrReglement() {
        return faknrReglement;
    }

    /**
     * Sets the value of the faknrReglement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaknrReglement(String value) {
        this.faknrReglement = value;
    }

    /**
     * Gets the value of the instituttnrReglement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstituttnrReglement() {
        return instituttnrReglement;
    }

    /**
     * Sets the value of the instituttnrReglement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstituttnrReglement(String value) {
        this.instituttnrReglement = value;
    }

    /**
     * Gets the value of the gruppenrReglement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGruppenrReglement() {
        return gruppenrReglement;
    }

    /**
     * Sets the value of the gruppenrReglement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGruppenrReglement(String value) {
        this.gruppenrReglement = value;
    }

    /**
     * Gets the value of the institusjonsnrKontroll property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnrKontroll() {
        return institusjonsnrKontroll;
    }

    /**
     * Sets the value of the institusjonsnrKontroll property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnrKontroll(String value) {
        this.institusjonsnrKontroll = value;
    }

    /**
     * Gets the value of the faknrKontroll property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaknrKontroll() {
        return faknrKontroll;
    }

    /**
     * Sets the value of the faknrKontroll property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaknrKontroll(String value) {
        this.faknrKontroll = value;
    }

    /**
     * Gets the value of the instituttnrKontroll property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstituttnrKontroll() {
        return instituttnrKontroll;
    }

    /**
     * Sets the value of the instituttnrKontroll property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstituttnrKontroll(String value) {
        this.instituttnrKontroll = value;
    }

    /**
     * Gets the value of the gruppenrKontroll property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGruppenrKontroll() {
        return gruppenrKontroll;
    }

    /**
     * Sets the value of the gruppenrKontroll property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGruppenrKontroll(String value) {
        this.gruppenrKontroll = value;
    }

    /**
     * Gets the value of the terminkodeUndForste property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminkodeUndForste() {
        return terminkodeUndForste;
    }

    /**
     * Sets the value of the terminkodeUndForste property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkodeUndForste(String value) {
        this.terminkodeUndForste = value;
    }

    /**
     * Gets the value of the arstallUndForste property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstallUndForste() {
        return arstallUndForste;
    }

    /**
     * Sets the value of the arstallUndForste property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstallUndForste(String value) {
        this.arstallUndForste = value;
    }

    /**
     * Gets the value of the terminkodeUndSiste property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminkodeUndSiste() {
        return terminkodeUndSiste;
    }

    /**
     * Sets the value of the terminkodeUndSiste property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkodeUndSiste(String value) {
        this.terminkodeUndSiste = value;
    }

    /**
     * Gets the value of the arstallUndSiste property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstallUndSiste() {
        return arstallUndSiste;
    }

    /**
     * Sets the value of the arstallUndSiste property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstallUndSiste(String value) {
        this.arstallUndSiste = value;
    }

}
