
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FagpersonType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FagpersonType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Fodselsdato" type="{http://fsws.usit.no/schemas/crud}FodselsdatoType" minOccurs="0"/>
 *         &lt;element name="Personnr" type="{http://fsws.usit.no/schemas/crud}PersonnrType" minOccurs="0"/>
 *         &lt;element name="Fagfelt" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Stillingstittel_Engelsk" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr_Ansatt" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Faknr_Ansatt" type="{http://fsws.usit.no/schemas/crud}FaknrType" minOccurs="0"/>
 *         &lt;element name="Instituttnr_Ansatt" type="{http://fsws.usit.no/schemas/crud}InstituttnrType" minOccurs="0"/>
 *         &lt;element name="Gruppenr_Ansatt" type="{http://fsws.usit.no/schemas/crud}GruppenrType" minOccurs="0"/>
 *         &lt;element name="Stillingstittel_Norsk" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Lonnsavtalekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Merknadtekst" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Status_Aktiv" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Fagpersonstatkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Status_Permisjon" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FagpersonType", propOrder = {
    "fodselsdato",
    "personnr",
    "fagfelt",
    "stillingstittelEngelsk",
    "institusjonsnrAnsatt",
    "faknrAnsatt",
    "instituttnrAnsatt",
    "gruppenrAnsatt",
    "stillingstittelNorsk",
    "lonnsavtalekode",
    "merknadtekst",
    "statusAktiv",
    "fagpersonstatkode",
    "statusPermisjon"
})
public class FagpersonType {

    @XmlElement(name = "Fodselsdato")
    protected String fodselsdato;
    @XmlElement(name = "Personnr")
    protected String personnr;
    @XmlElement(name = "Fagfelt")
    protected String fagfelt;
    @XmlElement(name = "Stillingstittel_Engelsk")
    protected String stillingstittelEngelsk;
    @XmlElement(name = "Institusjonsnr_Ansatt")
    protected String institusjonsnrAnsatt;
    @XmlElement(name = "Faknr_Ansatt")
    protected String faknrAnsatt;
    @XmlElement(name = "Instituttnr_Ansatt")
    protected String instituttnrAnsatt;
    @XmlElement(name = "Gruppenr_Ansatt")
    protected String gruppenrAnsatt;
    @XmlElement(name = "Stillingstittel_Norsk")
    protected String stillingstittelNorsk;
    @XmlElement(name = "Lonnsavtalekode")
    protected String lonnsavtalekode;
    @XmlElement(name = "Merknadtekst")
    protected String merknadtekst;
    @XmlElement(name = "Status_Aktiv")
    protected String statusAktiv;
    @XmlElement(name = "Fagpersonstatkode")
    protected String fagpersonstatkode;
    @XmlElement(name = "Status_Permisjon")
    protected String statusPermisjon;

    /**
     * Gets the value of the fodselsdato property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFodselsdato() {
        return fodselsdato;
    }

    /**
     * Sets the value of the fodselsdato property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFodselsdato(String value) {
        this.fodselsdato = value;
    }

    /**
     * Gets the value of the personnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonnr() {
        return personnr;
    }

    /**
     * Sets the value of the personnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonnr(String value) {
        this.personnr = value;
    }

    /**
     * Gets the value of the fagfelt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFagfelt() {
        return fagfelt;
    }

    /**
     * Sets the value of the fagfelt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFagfelt(String value) {
        this.fagfelt = value;
    }

    /**
     * Gets the value of the stillingstittelEngelsk property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStillingstittelEngelsk() {
        return stillingstittelEngelsk;
    }

    /**
     * Sets the value of the stillingstittelEngelsk property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStillingstittelEngelsk(String value) {
        this.stillingstittelEngelsk = value;
    }

    /**
     * Gets the value of the institusjonsnrAnsatt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnrAnsatt() {
        return institusjonsnrAnsatt;
    }

    /**
     * Sets the value of the institusjonsnrAnsatt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnrAnsatt(String value) {
        this.institusjonsnrAnsatt = value;
    }

    /**
     * Gets the value of the faknrAnsatt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaknrAnsatt() {
        return faknrAnsatt;
    }

    /**
     * Sets the value of the faknrAnsatt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaknrAnsatt(String value) {
        this.faknrAnsatt = value;
    }

    /**
     * Gets the value of the instituttnrAnsatt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstituttnrAnsatt() {
        return instituttnrAnsatt;
    }

    /**
     * Sets the value of the instituttnrAnsatt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstituttnrAnsatt(String value) {
        this.instituttnrAnsatt = value;
    }

    /**
     * Gets the value of the gruppenrAnsatt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGruppenrAnsatt() {
        return gruppenrAnsatt;
    }

    /**
     * Sets the value of the gruppenrAnsatt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGruppenrAnsatt(String value) {
        this.gruppenrAnsatt = value;
    }

    /**
     * Gets the value of the stillingstittelNorsk property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStillingstittelNorsk() {
        return stillingstittelNorsk;
    }

    /**
     * Sets the value of the stillingstittelNorsk property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStillingstittelNorsk(String value) {
        this.stillingstittelNorsk = value;
    }

    /**
     * Gets the value of the lonnsavtalekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLonnsavtalekode() {
        return lonnsavtalekode;
    }

    /**
     * Sets the value of the lonnsavtalekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLonnsavtalekode(String value) {
        this.lonnsavtalekode = value;
    }

    /**
     * Gets the value of the merknadtekst property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMerknadtekst() {
        return merknadtekst;
    }

    /**
     * Sets the value of the merknadtekst property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMerknadtekst(String value) {
        this.merknadtekst = value;
    }

    /**
     * Gets the value of the statusAktiv property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusAktiv() {
        return statusAktiv;
    }

    /**
     * Sets the value of the statusAktiv property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusAktiv(String value) {
        this.statusAktiv = value;
    }

    /**
     * Gets the value of the fagpersonstatkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFagpersonstatkode() {
        return fagpersonstatkode;
    }

    /**
     * Sets the value of the fagpersonstatkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFagpersonstatkode(String value) {
        this.fagpersonstatkode = value;
    }

    /**
     * Gets the value of the statusPermisjon property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusPermisjon() {
        return statusPermisjon;
    }

    /**
     * Sets the value of the statusPermisjon property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusPermisjon(String value) {
        this.statusPermisjon = value;
    }

}
