
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for KullType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="KullType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Studieprogramkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Terminkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *         &lt;element name="Studiekullnavn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Studiekullnavn_Engelsk" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Status_Automatisk_Opprykk" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Status_Aktiv" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "KullType", propOrder = {
    "studieprogramkode",
    "terminkode",
    "arstall",
    "studiekullnavn",
    "studiekullnavnEngelsk",
    "statusAutomatiskOpprykk",
    "statusAktiv"
})
public class KullType {

    @XmlElement(name = "Studieprogramkode")
    protected String studieprogramkode;
    @XmlElement(name = "Terminkode")
    protected String terminkode;
    @XmlElement(name = "Arstall")
    protected String arstall;
    @XmlElement(name = "Studiekullnavn")
    protected String studiekullnavn;
    @XmlElement(name = "Studiekullnavn_Engelsk")
    protected String studiekullnavnEngelsk;
    @XmlElement(name = "Status_Automatisk_Opprykk")
    protected String statusAutomatiskOpprykk;
    @XmlElement(name = "Status_Aktiv")
    protected String statusAktiv;

    /**
     * Gets the value of the studieprogramkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudieprogramkode() {
        return studieprogramkode;
    }

    /**
     * Sets the value of the studieprogramkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudieprogramkode(String value) {
        this.studieprogramkode = value;
    }

    /**
     * Gets the value of the terminkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminkode() {
        return terminkode;
    }

    /**
     * Sets the value of the terminkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkode(String value) {
        this.terminkode = value;
    }

    /**
     * Gets the value of the arstall property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstall() {
        return arstall;
    }

    /**
     * Sets the value of the arstall property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstall(String value) {
        this.arstall = value;
    }

    /**
     * Gets the value of the studiekullnavn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudiekullnavn() {
        return studiekullnavn;
    }

    /**
     * Sets the value of the studiekullnavn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudiekullnavn(String value) {
        this.studiekullnavn = value;
    }

    /**
     * Gets the value of the studiekullnavnEngelsk property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudiekullnavnEngelsk() {
        return studiekullnavnEngelsk;
    }

    /**
     * Sets the value of the studiekullnavnEngelsk property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudiekullnavnEngelsk(String value) {
        this.studiekullnavnEngelsk = value;
    }

    /**
     * Gets the value of the statusAutomatiskOpprykk property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusAutomatiskOpprykk() {
        return statusAutomatiskOpprykk;
    }

    /**
     * Sets the value of the statusAutomatiskOpprykk property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusAutomatiskOpprykk(String value) {
        this.statusAutomatiskOpprykk = value;
    }

    /**
     * Gets the value of the statusAktiv property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusAktiv() {
        return statusAktiv;
    }

    /**
     * Sets the value of the statusAktiv property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusAktiv(String value) {
        this.statusAktiv = value;
    }

}
