
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PersonType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PersonType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Fodselsdato" type="{http://fsws.usit.no/schemas/crud}FodselsdatoType" minOccurs="0"/>
 *         &lt;element name="Personnr" type="{http://fsws.usit.no/schemas/crud}PersonnrType" minOccurs="0"/>
 *         &lt;element name="Kjonn" type="{http://fsws.usit.no/schemas/crud}KjonnType" minOccurs="0"/>
 *         &lt;element name="Etternavn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Fornavn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Landnr_Hjemland" type="{http://fsws.usit.no/schemas/crud}LandnrType" minOccurs="0"/>
 *         &lt;element name="Adrlin1_Hjemsted" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adrlin2_Hjemsted" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adrlin3_Hjemsted" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adresseland_Hjemsted" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Postnr_Hjemsted" type="{http://fsws.usit.no/schemas/crud}PostnrType" minOccurs="0"/>
 *         &lt;element name="Emailadresse_Privat" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Telefonnr_Hjemsted" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Telefonnr_Mobil" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Studentgrunnlagkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Emailadresse" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Status_Dod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Brukernavn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonType", propOrder = {
    "fodselsdato",
    "personnr",
    "kjonn",
    "etternavn",
    "fornavn",
    "landnrHjemland",
    "adrlin1Hjemsted",
    "adrlin2Hjemsted",
    "adrlin3Hjemsted",
    "adresselandHjemsted",
    "postnrHjemsted",
    "emailadressePrivat",
    "telefonnrHjemsted",
    "telefonnrMobil",
    "studentgrunnlagkode",
    "emailadresse",
    "statusDod",
    "brukernavn"
})
public class PersonType {

    @XmlElement(name = "Fodselsdato")
    protected String fodselsdato;
    @XmlElement(name = "Personnr")
    protected String personnr;
    @XmlElement(name = "Kjonn")
    protected String kjonn;
    @XmlElement(name = "Etternavn")
    protected String etternavn;
    @XmlElement(name = "Fornavn")
    protected String fornavn;
    @XmlElement(name = "Landnr_Hjemland")
    protected String landnrHjemland;
    @XmlElement(name = "Adrlin1_Hjemsted")
    protected String adrlin1Hjemsted;
    @XmlElement(name = "Adrlin2_Hjemsted")
    protected String adrlin2Hjemsted;
    @XmlElement(name = "Adrlin3_Hjemsted")
    protected String adrlin3Hjemsted;
    @XmlElement(name = "Adresseland_Hjemsted")
    protected String adresselandHjemsted;
    @XmlElement(name = "Postnr_Hjemsted")
    protected String postnrHjemsted;
    @XmlElement(name = "Emailadresse_Privat")
    protected String emailadressePrivat;
    @XmlElement(name = "Telefonnr_Hjemsted")
    protected String telefonnrHjemsted;
    @XmlElement(name = "Telefonnr_Mobil")
    protected String telefonnrMobil;
    @XmlElement(name = "Studentgrunnlagkode")
    protected String studentgrunnlagkode;
    @XmlElement(name = "Emailadresse")
    protected String emailadresse;
    @XmlElement(name = "Status_Dod")
    protected String statusDod;
    @XmlElement(name = "Brukernavn")
    protected String brukernavn;

    /**
     * Gets the value of the fodselsdato property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFodselsdato() {
        return fodselsdato;
    }

    /**
     * Sets the value of the fodselsdato property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFodselsdato(String value) {
        this.fodselsdato = value;
    }

    /**
     * Gets the value of the personnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonnr() {
        return personnr;
    }

    /**
     * Sets the value of the personnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonnr(String value) {
        this.personnr = value;
    }

    /**
     * Gets the value of the kjonn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKjonn() {
        return kjonn;
    }

    /**
     * Sets the value of the kjonn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKjonn(String value) {
        this.kjonn = value;
    }

    /**
     * Gets the value of the etternavn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEtternavn() {
        return etternavn;
    }

    /**
     * Sets the value of the etternavn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEtternavn(String value) {
        this.etternavn = value;
    }

    /**
     * Gets the value of the fornavn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFornavn() {
        return fornavn;
    }

    /**
     * Sets the value of the fornavn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFornavn(String value) {
        this.fornavn = value;
    }

    /**
     * Gets the value of the landnrHjemland property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLandnrHjemland() {
        return landnrHjemland;
    }

    /**
     * Sets the value of the landnrHjemland property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLandnrHjemland(String value) {
        this.landnrHjemland = value;
    }

    /**
     * Gets the value of the adrlin1Hjemsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin1Hjemsted() {
        return adrlin1Hjemsted;
    }

    /**
     * Sets the value of the adrlin1Hjemsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin1Hjemsted(String value) {
        this.adrlin1Hjemsted = value;
    }

    /**
     * Gets the value of the adrlin2Hjemsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin2Hjemsted() {
        return adrlin2Hjemsted;
    }

    /**
     * Sets the value of the adrlin2Hjemsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin2Hjemsted(String value) {
        this.adrlin2Hjemsted = value;
    }

    /**
     * Gets the value of the adrlin3Hjemsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin3Hjemsted() {
        return adrlin3Hjemsted;
    }

    /**
     * Sets the value of the adrlin3Hjemsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin3Hjemsted(String value) {
        this.adrlin3Hjemsted = value;
    }

    /**
     * Gets the value of the adresselandHjemsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdresselandHjemsted() {
        return adresselandHjemsted;
    }

    /**
     * Sets the value of the adresselandHjemsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdresselandHjemsted(String value) {
        this.adresselandHjemsted = value;
    }

    /**
     * Gets the value of the postnrHjemsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostnrHjemsted() {
        return postnrHjemsted;
    }

    /**
     * Sets the value of the postnrHjemsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostnrHjemsted(String value) {
        this.postnrHjemsted = value;
    }

    /**
     * Gets the value of the emailadressePrivat property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmailadressePrivat() {
        return emailadressePrivat;
    }

    /**
     * Sets the value of the emailadressePrivat property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmailadressePrivat(String value) {
        this.emailadressePrivat = value;
    }

    /**
     * Gets the value of the telefonnrHjemsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelefonnrHjemsted() {
        return telefonnrHjemsted;
    }

    /**
     * Sets the value of the telefonnrHjemsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelefonnrHjemsted(String value) {
        this.telefonnrHjemsted = value;
    }

    /**
     * Gets the value of the telefonnrMobil property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelefonnrMobil() {
        return telefonnrMobil;
    }

    /**
     * Sets the value of the telefonnrMobil property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelefonnrMobil(String value) {
        this.telefonnrMobil = value;
    }

    /**
     * Gets the value of the studentgrunnlagkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudentgrunnlagkode() {
        return studentgrunnlagkode;
    }

    /**
     * Sets the value of the studentgrunnlagkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudentgrunnlagkode(String value) {
        this.studentgrunnlagkode = value;
    }

    /**
     * Gets the value of the emailadresse property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmailadresse() {
        return emailadresse;
    }

    /**
     * Sets the value of the emailadresse property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmailadresse(String value) {
        this.emailadresse = value;
    }

    /**
     * Gets the value of the statusDod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusDod() {
        return statusDod;
    }

    /**
     * Sets the value of the statusDod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusDod(String value) {
        this.statusDod = value;
    }

    /**
     * Gets the value of the brukernavn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBrukernavn() {
        return brukernavn;
    }

    /**
     * Sets the value of the brukernavn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBrukernavn(String value) {
        this.brukernavn = value;
    }

}
