
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for StudieprogramType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StudieprogramType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Studieprogramkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Studieprognavn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Kodeverditype" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr_Studieansv" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Faknr_Studieansv" type="{http://fsws.usit.no/schemas/crud}FaknrType" minOccurs="0"/>
 *         &lt;element name="Instituttnr_Studieansv" type="{http://fsws.usit.no/schemas/crud}InstituttnrType" minOccurs="0"/>
 *         &lt;element name="Gruppenr_Studieansv" type="{http://fsws.usit.no/schemas/crud}GruppenrType" minOccurs="0"/>
 *         &lt;element name="Status_Utgatt" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Terminkode_Siste_opptak" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall_siste_opptak" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StudieprogramType", propOrder = {
    "studieprogramkode",
    "studieprognavn",
    "kodeverditype",
    "institusjonsnrStudieansv",
    "faknrStudieansv",
    "instituttnrStudieansv",
    "gruppenrStudieansv",
    "statusUtgatt",
    "terminkodeSisteOpptak",
    "arstallSisteOpptak"
})
public class StudieprogramType {

    @XmlElement(name = "Studieprogramkode")
    protected String studieprogramkode;
    @XmlElement(name = "Studieprognavn")
    protected String studieprognavn;
    @XmlElement(name = "Kodeverditype")
    protected String kodeverditype;
    @XmlElement(name = "Institusjonsnr_Studieansv")
    protected String institusjonsnrStudieansv;
    @XmlElement(name = "Faknr_Studieansv")
    protected String faknrStudieansv;
    @XmlElement(name = "Instituttnr_Studieansv")
    protected String instituttnrStudieansv;
    @XmlElement(name = "Gruppenr_Studieansv")
    protected String gruppenrStudieansv;
    @XmlElement(name = "Status_Utgatt")
    protected String statusUtgatt;
    @XmlElement(name = "Terminkode_Siste_opptak")
    protected String terminkodeSisteOpptak;
    @XmlElement(name = "Arstall_siste_opptak")
    protected String arstallSisteOpptak;

    /**
     * Gets the value of the studieprogramkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudieprogramkode() {
        return studieprogramkode;
    }

    /**
     * Sets the value of the studieprogramkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudieprogramkode(String value) {
        this.studieprogramkode = value;
    }

    /**
     * Gets the value of the studieprognavn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudieprognavn() {
        return studieprognavn;
    }

    /**
     * Sets the value of the studieprognavn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudieprognavn(String value) {
        this.studieprognavn = value;
    }

    /**
     * Gets the value of the kodeverditype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodeverditype() {
        return kodeverditype;
    }

    /**
     * Sets the value of the kodeverditype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodeverditype(String value) {
        this.kodeverditype = value;
    }

    /**
     * Gets the value of the institusjonsnrStudieansv property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnrStudieansv() {
        return institusjonsnrStudieansv;
    }

    /**
     * Sets the value of the institusjonsnrStudieansv property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnrStudieansv(String value) {
        this.institusjonsnrStudieansv = value;
    }

    /**
     * Gets the value of the faknrStudieansv property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaknrStudieansv() {
        return faknrStudieansv;
    }

    /**
     * Sets the value of the faknrStudieansv property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaknrStudieansv(String value) {
        this.faknrStudieansv = value;
    }

    /**
     * Gets the value of the instituttnrStudieansv property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstituttnrStudieansv() {
        return instituttnrStudieansv;
    }

    /**
     * Sets the value of the instituttnrStudieansv property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstituttnrStudieansv(String value) {
        this.instituttnrStudieansv = value;
    }

    /**
     * Gets the value of the gruppenrStudieansv property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGruppenrStudieansv() {
        return gruppenrStudieansv;
    }

    /**
     * Sets the value of the gruppenrStudieansv property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGruppenrStudieansv(String value) {
        this.gruppenrStudieansv = value;
    }

    /**
     * Gets the value of the statusUtgatt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusUtgatt() {
        return statusUtgatt;
    }

    /**
     * Sets the value of the statusUtgatt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusUtgatt(String value) {
        this.statusUtgatt = value;
    }

    /**
     * Gets the value of the terminkodeSisteOpptak property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminkodeSisteOpptak() {
        return terminkodeSisteOpptak;
    }

    /**
     * Sets the value of the terminkodeSisteOpptak property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkodeSisteOpptak(String value) {
        this.terminkodeSisteOpptak = value;
    }

    /**
     * Gets the value of the arstallSisteOpptak property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstallSisteOpptak() {
        return arstallSisteOpptak;
    }

    /**
     * Sets the value of the arstallSisteOpptak property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstallSisteOpptak(String value) {
        this.arstallSisteOpptak = value;
    }

}
