
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UndaktivitetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UndaktivitetType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Institusjonsnr" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Emnekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Versjonskode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Terminkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *         &lt;element name="Terminnr" type="{http://fsws.usit.no/schemas/crud}TerminnrType" minOccurs="0"/>
 *         &lt;element name="Aktivitetkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Undpartilopenr" type="{http://fsws.usit.no/schemas/crud}LopenrType" minOccurs="0"/>
 *         &lt;element name="Personnr_Fagansvarlig" type="{http://fsws.usit.no/schemas/crud}PersonnrType" minOccurs="0"/>
 *         &lt;element name="Fodselsdato_Fagansvarlig" type="{http://fsws.usit.no/schemas/crud}FodselsdatoType" minOccurs="0"/>
 *         &lt;element name="Tidsenhet_Varighet" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Tall_Varighet" type="{http://fsws.usit.no/schemas/crud}VarighetTallType" minOccurs="0"/>
 *         &lt;element name="Aktivitetsnavn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr_Undsted" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Faknr_Undsted" type="{http://fsws.usit.no/schemas/crud}FaknrType" minOccurs="0"/>
 *         &lt;element name="Instituttnr_Undsted" type="{http://fsws.usit.no/schemas/crud}InstituttnrType" minOccurs="0"/>
 *         &lt;element name="Gruppenr_Undsted" type="{http://fsws.usit.no/schemas/crud}GruppenrType" minOccurs="0"/>
 *         &lt;element name="Aktivitetkode_Eier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Status_Eksport_Tplan" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UndaktivitetType", propOrder = {
    "institusjonsnr",
    "emnekode",
    "versjonskode",
    "terminkode",
    "arstall",
    "terminnr",
    "aktivitetkode",
    "undpartilopenr",
    "personnrFagansvarlig",
    "fodselsdatoFagansvarlig",
    "tidsenhetVarighet",
    "tallVarighet",
    "aktivitetsnavn",
    "institusjonsnrUndsted",
    "faknrUndsted",
    "instituttnrUndsted",
    "gruppenrUndsted",
    "aktivitetkodeEier",
    "statusEksportTplan"
})
public class UndaktivitetType {

    @XmlElement(name = "Institusjonsnr")
    protected String institusjonsnr;
    @XmlElement(name = "Emnekode")
    protected String emnekode;
    @XmlElement(name = "Versjonskode")
    protected String versjonskode;
    @XmlElement(name = "Terminkode")
    protected String terminkode;
    @XmlElement(name = "Arstall")
    protected String arstall;
    @XmlElement(name = "Terminnr")
    protected String terminnr;
    @XmlElement(name = "Aktivitetkode")
    protected String aktivitetkode;
    @XmlElement(name = "Undpartilopenr")
    protected String undpartilopenr;
    @XmlElement(name = "Personnr_Fagansvarlig")
    protected String personnrFagansvarlig;
    @XmlElement(name = "Fodselsdato_Fagansvarlig")
    protected String fodselsdatoFagansvarlig;
    @XmlElement(name = "Tidsenhet_Varighet")
    protected String tidsenhetVarighet;
    @XmlElement(name = "Tall_Varighet")
    protected String tallVarighet;
    @XmlElement(name = "Aktivitetsnavn")
    protected String aktivitetsnavn;
    @XmlElement(name = "Institusjonsnr_Undsted")
    protected String institusjonsnrUndsted;
    @XmlElement(name = "Faknr_Undsted")
    protected String faknrUndsted;
    @XmlElement(name = "Instituttnr_Undsted")
    protected String instituttnrUndsted;
    @XmlElement(name = "Gruppenr_Undsted")
    protected String gruppenrUndsted;
    @XmlElement(name = "Aktivitetkode_Eier")
    protected String aktivitetkodeEier;
    @XmlElement(name = "Status_Eksport_Tplan")
    protected String statusEksportTplan;

    /**
     * Gets the value of the institusjonsnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnr() {
        return institusjonsnr;
    }

    /**
     * Sets the value of the institusjonsnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnr(String value) {
        this.institusjonsnr = value;
    }

    /**
     * Gets the value of the emnekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmnekode() {
        return emnekode;
    }

    /**
     * Sets the value of the emnekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmnekode(String value) {
        this.emnekode = value;
    }

    /**
     * Gets the value of the versjonskode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersjonskode() {
        return versjonskode;
    }

    /**
     * Sets the value of the versjonskode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersjonskode(String value) {
        this.versjonskode = value;
    }

    /**
     * Gets the value of the terminkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminkode() {
        return terminkode;
    }

    /**
     * Sets the value of the terminkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkode(String value) {
        this.terminkode = value;
    }

    /**
     * Gets the value of the arstall property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstall() {
        return arstall;
    }

    /**
     * Sets the value of the arstall property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstall(String value) {
        this.arstall = value;
    }

    /**
     * Gets the value of the terminnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminnr() {
        return terminnr;
    }

    /**
     * Sets the value of the terminnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminnr(String value) {
        this.terminnr = value;
    }

    /**
     * Gets the value of the aktivitetkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktivitetkode() {
        return aktivitetkode;
    }

    /**
     * Sets the value of the aktivitetkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktivitetkode(String value) {
        this.aktivitetkode = value;
    }

    /**
     * Gets the value of the undpartilopenr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUndpartilopenr() {
        return undpartilopenr;
    }

    /**
     * Sets the value of the undpartilopenr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUndpartilopenr(String value) {
        this.undpartilopenr = value;
    }

    /**
     * Gets the value of the personnrFagansvarlig property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonnrFagansvarlig() {
        return personnrFagansvarlig;
    }

    /**
     * Sets the value of the personnrFagansvarlig property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonnrFagansvarlig(String value) {
        this.personnrFagansvarlig = value;
    }

    /**
     * Gets the value of the fodselsdatoFagansvarlig property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFodselsdatoFagansvarlig() {
        return fodselsdatoFagansvarlig;
    }

    /**
     * Sets the value of the fodselsdatoFagansvarlig property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFodselsdatoFagansvarlig(String value) {
        this.fodselsdatoFagansvarlig = value;
    }

    /**
     * Gets the value of the tidsenhetVarighet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTidsenhetVarighet() {
        return tidsenhetVarighet;
    }

    /**
     * Sets the value of the tidsenhetVarighet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTidsenhetVarighet(String value) {
        this.tidsenhetVarighet = value;
    }

    /**
     * Gets the value of the tallVarighet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTallVarighet() {
        return tallVarighet;
    }

    /**
     * Sets the value of the tallVarighet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTallVarighet(String value) {
        this.tallVarighet = value;
    }

    /**
     * Gets the value of the aktivitetsnavn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktivitetsnavn() {
        return aktivitetsnavn;
    }

    /**
     * Sets the value of the aktivitetsnavn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktivitetsnavn(String value) {
        this.aktivitetsnavn = value;
    }

    /**
     * Gets the value of the institusjonsnrUndsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnrUndsted() {
        return institusjonsnrUndsted;
    }

    /**
     * Sets the value of the institusjonsnrUndsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnrUndsted(String value) {
        this.institusjonsnrUndsted = value;
    }

    /**
     * Gets the value of the faknrUndsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaknrUndsted() {
        return faknrUndsted;
    }

    /**
     * Sets the value of the faknrUndsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaknrUndsted(String value) {
        this.faknrUndsted = value;
    }

    /**
     * Gets the value of the instituttnrUndsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstituttnrUndsted() {
        return instituttnrUndsted;
    }

    /**
     * Sets the value of the instituttnrUndsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstituttnrUndsted(String value) {
        this.instituttnrUndsted = value;
    }

    /**
     * Gets the value of the gruppenrUndsted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGruppenrUndsted() {
        return gruppenrUndsted;
    }

    /**
     * Sets the value of the gruppenrUndsted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGruppenrUndsted(String value) {
        this.gruppenrUndsted = value;
    }

    /**
     * Gets the value of the aktivitetkodeEier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktivitetkodeEier() {
        return aktivitetkodeEier;
    }

    /**
     * Sets the value of the aktivitetkodeEier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktivitetkodeEier(String value) {
        this.aktivitetkodeEier = value;
    }

    /**
     * Gets the value of the statusEksportTplan property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusEksportTplan() {
        return statusEksportTplan;
    }

    /**
     * Sets the value of the statusEksportTplan property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusEksportTplan(String value) {
        this.statusEksportTplan = value;
    }

}
