
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VurdkombmeldingType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VurdkombmeldingType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Fodselsdato" type="{http://fsws.usit.no/schemas/crud}FodselsdatoType" minOccurs="0"/>
 *         &lt;element name="Personnr" type="{http://fsws.usit.no/schemas/crud}PersonnrType" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Emnekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Versjonskode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Vurdkombkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *         &lt;element name="Vurdtidkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Terminkode_Meld_Foretatt" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall_Meld_Foretatt" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *         &lt;element name="Studieprogramkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VurdkombmeldingType", propOrder = {
    "fodselsdato",
    "personnr",
    "institusjonsnr",
    "emnekode",
    "versjonskode",
    "vurdkombkode",
    "arstall",
    "vurdtidkode",
    "terminkodeMeldForetatt",
    "arstallMeldForetatt",
    "studieprogramkode"
})
public class VurdkombmeldingType {

    @XmlElement(name = "Fodselsdato")
    protected String fodselsdato;
    @XmlElement(name = "Personnr")
    protected String personnr;
    @XmlElement(name = "Institusjonsnr")
    protected String institusjonsnr;
    @XmlElement(name = "Emnekode")
    protected String emnekode;
    @XmlElement(name = "Versjonskode")
    protected String versjonskode;
    @XmlElement(name = "Vurdkombkode")
    protected String vurdkombkode;
    @XmlElement(name = "Arstall")
    protected String arstall;
    @XmlElement(name = "Vurdtidkode")
    protected String vurdtidkode;
    @XmlElement(name = "Terminkode_Meld_Foretatt")
    protected String terminkodeMeldForetatt;
    @XmlElement(name = "Arstall_Meld_Foretatt")
    protected String arstallMeldForetatt;
    @XmlElement(name = "Studieprogramkode")
    protected String studieprogramkode;

    /**
     * Gets the value of the fodselsdato property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFodselsdato() {
        return fodselsdato;
    }

    /**
     * Sets the value of the fodselsdato property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFodselsdato(String value) {
        this.fodselsdato = value;
    }

    /**
     * Gets the value of the personnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonnr() {
        return personnr;
    }

    /**
     * Sets the value of the personnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonnr(String value) {
        this.personnr = value;
    }

    /**
     * Gets the value of the institusjonsnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnr() {
        return institusjonsnr;
    }

    /**
     * Sets the value of the institusjonsnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnr(String value) {
        this.institusjonsnr = value;
    }

    /**
     * Gets the value of the emnekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmnekode() {
        return emnekode;
    }

    /**
     * Sets the value of the emnekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmnekode(String value) {
        this.emnekode = value;
    }

    /**
     * Gets the value of the versjonskode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersjonskode() {
        return versjonskode;
    }

    /**
     * Sets the value of the versjonskode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersjonskode(String value) {
        this.versjonskode = value;
    }

    /**
     * Gets the value of the vurdkombkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVurdkombkode() {
        return vurdkombkode;
    }

    /**
     * Sets the value of the vurdkombkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVurdkombkode(String value) {
        this.vurdkombkode = value;
    }

    /**
     * Gets the value of the arstall property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstall() {
        return arstall;
    }

    /**
     * Sets the value of the arstall property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstall(String value) {
        this.arstall = value;
    }

    /**
     * Gets the value of the vurdtidkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVurdtidkode() {
        return vurdtidkode;
    }

    /**
     * Sets the value of the vurdtidkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVurdtidkode(String value) {
        this.vurdtidkode = value;
    }

    /**
     * Gets the value of the terminkodeMeldForetatt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminkodeMeldForetatt() {
        return terminkodeMeldForetatt;
    }

    /**
     * Sets the value of the terminkodeMeldForetatt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkodeMeldForetatt(String value) {
        this.terminkodeMeldForetatt = value;
    }

    /**
     * Gets the value of the arstallMeldForetatt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstallMeldForetatt() {
        return arstallMeldForetatt;
    }

    /**
     * Sets the value of the arstallMeldForetatt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstallMeldForetatt(String value) {
        this.arstallMeldForetatt = value;
    }

    /**
     * Gets the value of the studieprogramkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudieprogramkode() {
        return studieprogramkode;
    }

    /**
     * Sets the value of the studieprogramkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudieprogramkode(String value) {
        this.studieprogramkode = value;
    }

}
