
package no.usit.fsws.cdm;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the no.usit.fsws.cdm package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetStudieDataAsAttachmentResponse_QNAME = new QName("http://fsws.usit.no/wsdl/cdm", "getStudieDataAsAttachmentResponse");
    private final static QName _GetStudieData_QNAME = new QName("http://fsws.usit.no/wsdl/cdm", "getStudieData");
    private final static QName _GetStudieDataAsAttachment_QNAME = new QName("http://fsws.usit.no/wsdl/cdm", "getStudieDataAsAttachment");
    private final static QName _GetStudieDataResponse_QNAME = new QName("http://fsws.usit.no/wsdl/cdm", "getStudieDataResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: no.usit.fsws.cdm
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetStudieData }
     * 
     */
    public GetStudieData createGetStudieData() {
        return new GetStudieData();
    }

    /**
     * Create an instance of {@link GetStudieDataResponse }
     * 
     */
    public GetStudieDataResponse createGetStudieDataResponse() {
        return new GetStudieDataResponse();
    }

    /**
     * Create an instance of {@link GetStudieDataAsAttachment }
     * 
     */
    public GetStudieDataAsAttachment createGetStudieDataAsAttachment() {
        return new GetStudieDataAsAttachment();
    }

    /**
     * Create an instance of {@link GetStudieDataAsAttachmentResponse }
     * 
     */
    public GetStudieDataAsAttachmentResponse createGetStudieDataAsAttachmentResponse() {
        return new GetStudieDataAsAttachmentResponse();
    }

    /**
     * Create an instance of {@link FswsAttachment }
     * 
     */
    public FswsAttachment createFswsAttachment() {
        return new FswsAttachment();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStudieDataAsAttachmentResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://fsws.usit.no/wsdl/cdm", name = "getStudieDataAsAttachmentResponse")
    public JAXBElement<GetStudieDataAsAttachmentResponse> createGetStudieDataAsAttachmentResponse(GetStudieDataAsAttachmentResponse value) {
        return new JAXBElement<GetStudieDataAsAttachmentResponse>(_GetStudieDataAsAttachmentResponse_QNAME, GetStudieDataAsAttachmentResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStudieData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://fsws.usit.no/wsdl/cdm", name = "getStudieData")
    public JAXBElement<GetStudieData> createGetStudieData(GetStudieData value) {
        return new JAXBElement<GetStudieData>(_GetStudieData_QNAME, GetStudieData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStudieDataAsAttachment }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://fsws.usit.no/wsdl/cdm", name = "getStudieDataAsAttachment")
    public JAXBElement<GetStudieDataAsAttachment> createGetStudieDataAsAttachment(GetStudieDataAsAttachment value) {
        return new JAXBElement<GetStudieDataAsAttachment>(_GetStudieDataAsAttachment_QNAME, GetStudieDataAsAttachment.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStudieDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://fsws.usit.no/wsdl/cdm", name = "getStudieDataResponse")
    public JAXBElement<GetStudieDataResponse> createGetStudieDataResponse(GetStudieDataResponse value) {
        return new JAXBElement<GetStudieDataResponse>(_GetStudieDataResponse_QNAME, GetStudieDataResponse.class, null, value);
    }

}
