
package no.usit.fsws.crud;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CrudManyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CrudManyType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="Person" type="{http://fsws.usit.no/schemas/crud}PersonType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Soknad" type="{http://fsws.usit.no/schemas/crud}SoknadType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SoknadsAlternativ" type="{http://fsws.usit.no/schemas/crud}SoknadsAlternativType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Student" type="{http://fsws.usit.no/schemas/crud}StudentType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Vurdkombmelding" type="{http://fsws.usit.no/schemas/crud}VurdkombmeldingType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Undervisningsmelding" type="{http://fsws.usit.no/schemas/crud}UndervisningsmeldingType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Studieprogramstudent" type="{http://fsws.usit.no/schemas/crud}StudieprogramstudentType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="KullKlasseStudent" type="{http://fsws.usit.no/schemas/crud}KullKlasseStudentType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="StudentVurdKombProtokoll" type="{http://fsws.usit.no/schemas/crud}StudentVurdKombProtokollType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Emne" type="{http://fsws.usit.no/schemas/crud}EmneType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Studieprogram" type="{http://fsws.usit.no/schemas/crud}StudieprogramType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Undaktivitet" type="{http://fsws.usit.no/schemas/crud}UndaktivitetType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Undervisningsenhet" type="{http://fsws.usit.no/schemas/crud}UndervisningsenhetType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Fagperson" type="{http://fsws.usit.no/schemas/crud}FagpersonType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Kull" type="{http://fsws.usit.no/schemas/crud}KullType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="KullKlasse" type="{http://fsws.usit.no/schemas/crud}KullKlasseType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Rom" type="{http://fsws.usit.no/schemas/crud}RomType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Sted" type="{http://fsws.usit.no/schemas/crud}StedType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Personrolle" type="{http://fsws.usit.no/schemas/crud}PersonrolleType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CrudManyType", propOrder = {
    "person",
    "soknad",
    "soknadsAlternativ",
    "student",
    "vurdkombmelding",
    "undervisningsmelding",
    "studieprogramstudent",
    "kullKlasseStudent",
    "studentVurdKombProtokoll",
    "emne",
    "studieprogram",
    "undaktivitet",
    "undervisningsenhet",
    "fagperson",
    "kull",
    "kullKlasse",
    "rom",
    "sted",
    "personrolle"
})
public class CrudManyType {

    @XmlElement(name = "Person")
    protected List<PersonType> person;
    @XmlElement(name = "Soknad")
    protected List<SoknadType> soknad;
    @XmlElement(name = "SoknadsAlternativ")
    protected List<SoknadsAlternativType> soknadsAlternativ;
    @XmlElement(name = "Student")
    protected List<StudentType> student;
    @XmlElement(name = "Vurdkombmelding")
    protected List<VurdkombmeldingType> vurdkombmelding;
    @XmlElement(name = "Undervisningsmelding")
    protected List<UndervisningsmeldingType> undervisningsmelding;
    @XmlElement(name = "Studieprogramstudent")
    protected List<StudieprogramstudentType> studieprogramstudent;
    @XmlElement(name = "KullKlasseStudent")
    protected List<KullKlasseStudentType> kullKlasseStudent;
    @XmlElement(name = "StudentVurdKombProtokoll")
    protected List<StudentVurdKombProtokollType> studentVurdKombProtokoll;
    @XmlElement(name = "Emne")
    protected List<EmneType> emne;
    @XmlElement(name = "Studieprogram")
    protected List<StudieprogramType> studieprogram;
    @XmlElement(name = "Undaktivitet")
    protected List<UndaktivitetType> undaktivitet;
    @XmlElement(name = "Undervisningsenhet")
    protected List<UndervisningsenhetType> undervisningsenhet;
    @XmlElement(name = "Fagperson")
    protected List<FagpersonType> fagperson;
    @XmlElement(name = "Kull")
    protected List<KullType> kull;
    @XmlElement(name = "KullKlasse")
    protected List<KullKlasseType> kullKlasse;
    @XmlElement(name = "Rom")
    protected List<RomType> rom;
    @XmlElement(name = "Sted")
    protected List<StedType> sted;
    @XmlElement(name = "Personrolle")
    protected List<PersonrolleType> personrolle;

    /**
     * Gets the value of the person property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the person property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPerson().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PersonType }
     * 
     * 
     */
    public List<PersonType> getPerson() {
        if (person == null) {
            person = new ArrayList<PersonType>();
        }
        return this.person;
    }

    /**
     * Gets the value of the soknad property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the soknad property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSoknad().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SoknadType }
     * 
     * 
     */
    public List<SoknadType> getSoknad() {
        if (soknad == null) {
            soknad = new ArrayList<SoknadType>();
        }
        return this.soknad;
    }

    /**
     * Gets the value of the soknadsAlternativ property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the soknadsAlternativ property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSoknadsAlternativ().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SoknadsAlternativType }
     * 
     * 
     */
    public List<SoknadsAlternativType> getSoknadsAlternativ() {
        if (soknadsAlternativ == null) {
            soknadsAlternativ = new ArrayList<SoknadsAlternativType>();
        }
        return this.soknadsAlternativ;
    }

    /**
     * Gets the value of the student property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the student property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStudent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StudentType }
     * 
     * 
     */
    public List<StudentType> getStudent() {
        if (student == null) {
            student = new ArrayList<StudentType>();
        }
        return this.student;
    }

    /**
     * Gets the value of the vurdkombmelding property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vurdkombmelding property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVurdkombmelding().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VurdkombmeldingType }
     * 
     * 
     */
    public List<VurdkombmeldingType> getVurdkombmelding() {
        if (vurdkombmelding == null) {
            vurdkombmelding = new ArrayList<VurdkombmeldingType>();
        }
        return this.vurdkombmelding;
    }

    /**
     * Gets the value of the undervisningsmelding property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the undervisningsmelding property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUndervisningsmelding().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UndervisningsmeldingType }
     * 
     * 
     */
    public List<UndervisningsmeldingType> getUndervisningsmelding() {
        if (undervisningsmelding == null) {
            undervisningsmelding = new ArrayList<UndervisningsmeldingType>();
        }
        return this.undervisningsmelding;
    }

    /**
     * Gets the value of the studieprogramstudent property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the studieprogramstudent property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStudieprogramstudent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StudieprogramstudentType }
     * 
     * 
     */
    public List<StudieprogramstudentType> getStudieprogramstudent() {
        if (studieprogramstudent == null) {
            studieprogramstudent = new ArrayList<StudieprogramstudentType>();
        }
        return this.studieprogramstudent;
    }

    /**
     * Gets the value of the kullKlasseStudent property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the kullKlasseStudent property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKullKlasseStudent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KullKlasseStudentType }
     * 
     * 
     */
    public List<KullKlasseStudentType> getKullKlasseStudent() {
        if (kullKlasseStudent == null) {
            kullKlasseStudent = new ArrayList<KullKlasseStudentType>();
        }
        return this.kullKlasseStudent;
    }

    /**
     * Gets the value of the studentVurdKombProtokoll property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the studentVurdKombProtokoll property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStudentVurdKombProtokoll().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StudentVurdKombProtokollType }
     * 
     * 
     */
    public List<StudentVurdKombProtokollType> getStudentVurdKombProtokoll() {
        if (studentVurdKombProtokoll == null) {
            studentVurdKombProtokoll = new ArrayList<StudentVurdKombProtokollType>();
        }
        return this.studentVurdKombProtokoll;
    }

    /**
     * Gets the value of the emne property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the emne property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEmne().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EmneType }
     * 
     * 
     */
    public List<EmneType> getEmne() {
        if (emne == null) {
            emne = new ArrayList<EmneType>();
        }
        return this.emne;
    }

    /**
     * Gets the value of the studieprogram property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the studieprogram property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStudieprogram().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StudieprogramType }
     * 
     * 
     */
    public List<StudieprogramType> getStudieprogram() {
        if (studieprogram == null) {
            studieprogram = new ArrayList<StudieprogramType>();
        }
        return this.studieprogram;
    }

    /**
     * Gets the value of the undaktivitet property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the undaktivitet property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUndaktivitet().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UndaktivitetType }
     * 
     * 
     */
    public List<UndaktivitetType> getUndaktivitet() {
        if (undaktivitet == null) {
            undaktivitet = new ArrayList<UndaktivitetType>();
        }
        return this.undaktivitet;
    }

    /**
     * Gets the value of the undervisningsenhet property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the undervisningsenhet property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUndervisningsenhet().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UndervisningsenhetType }
     * 
     * 
     */
    public List<UndervisningsenhetType> getUndervisningsenhet() {
        if (undervisningsenhet == null) {
            undervisningsenhet = new ArrayList<UndervisningsenhetType>();
        }
        return this.undervisningsenhet;
    }

    /**
     * Gets the value of the fagperson property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fagperson property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFagperson().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FagpersonType }
     * 
     * 
     */
    public List<FagpersonType> getFagperson() {
        if (fagperson == null) {
            fagperson = new ArrayList<FagpersonType>();
        }
        return this.fagperson;
    }

    /**
     * Gets the value of the kull property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the kull property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKull().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KullType }
     * 
     * 
     */
    public List<KullType> getKull() {
        if (kull == null) {
            kull = new ArrayList<KullType>();
        }
        return this.kull;
    }

    /**
     * Gets the value of the kullKlasse property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the kullKlasse property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKullKlasse().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KullKlasseType }
     * 
     * 
     */
    public List<KullKlasseType> getKullKlasse() {
        if (kullKlasse == null) {
            kullKlasse = new ArrayList<KullKlasseType>();
        }
        return this.kullKlasse;
    }

    /**
     * Gets the value of the rom property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rom property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRom().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RomType }
     * 
     * 
     */
    public List<RomType> getRom() {
        if (rom == null) {
            rom = new ArrayList<RomType>();
        }
        return this.rom;
    }

    /**
     * Gets the value of the sted property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sted property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSted().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StedType }
     * 
     * 
     */
    public List<StedType> getSted() {
        if (sted == null) {
            sted = new ArrayList<StedType>();
        }
        return this.sted;
    }

    /**
     * Gets the value of the personrolle property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the personrolle property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPersonrolle().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PersonrolleType }
     * 
     * 
     */
    public List<PersonrolleType> getPersonrolle() {
        if (personrolle == null) {
            personrolle = new ArrayList<PersonrolleType>();
        }
        return this.personrolle;
    }

}
