
package no.usit.fsws.crud;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the no.usit.fsws.crud package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DoSelectManyResponse_QNAME = new QName("http://fsws.usit.no/schemas/crud", "doSelectManyResponse");
    private final static QName _DoSelectManyRequest_QNAME = new QName("http://fsws.usit.no/schemas/crud", "doSelectManyRequest");
    private final static QName _DoUpsertRequest_QNAME = new QName("http://fsws.usit.no/schemas/crud", "doUpsertRequest");
    private final static QName _DoSelectRequest_QNAME = new QName("http://fsws.usit.no/schemas/crud", "doSelectRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: no.usit.fsws.crud
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link UndervisningsenhetType }
     * 
     */
    public UndervisningsenhetType createUndervisningsenhetType() {
        return new UndervisningsenhetType();
    }

    /**
     * Create an instance of {@link RomType }
     * 
     */
    public RomType createRomType() {
        return new RomType();
    }

    /**
     * Create an instance of {@link UndaktivitetType }
     * 
     */
    public UndaktivitetType createUndaktivitetType() {
        return new UndaktivitetType();
    }

    /**
     * Create an instance of {@link DoSelectResponse }
     * 
     */
    public DoSelectResponse createDoSelectResponse() {
        return new DoSelectResponse();
    }

    /**
     * Create an instance of {@link PersonType }
     * 
     */
    public PersonType createPersonType() {
        return new PersonType();
    }

    /**
     * Create an instance of {@link KullKlasseType }
     * 
     */
    public KullKlasseType createKullKlasseType() {
        return new KullKlasseType();
    }

    /**
     * Create an instance of {@link UndervisningsmeldingType }
     * 
     */
    public UndervisningsmeldingType createUndervisningsmeldingType() {
        return new UndervisningsmeldingType();
    }

    /**
     * Create an instance of {@link SoknadsAlternativType }
     * 
     */
    public SoknadsAlternativType createSoknadsAlternativType() {
        return new SoknadsAlternativType();
    }

    /**
     * Create an instance of {@link EmneType }
     * 
     */
    public EmneType createEmneType() {
        return new EmneType();
    }

    /**
     * Create an instance of {@link CrudParamType }
     * 
     */
    public CrudParamType createCrudParamType() {
        return new CrudParamType();
    }

    /**
     * Create an instance of {@link VurdkombmeldingType }
     * 
     */
    public VurdkombmeldingType createVurdkombmeldingType() {
        return new VurdkombmeldingType();
    }

    /**
     * Create an instance of {@link StatusType }
     * 
     */
    public StatusType createStatusType() {
        return new StatusType();
    }

    /**
     * Create an instance of {@link StudieprogramstudentType }
     * 
     */
    public StudieprogramstudentType createStudieprogramstudentType() {
        return new StudieprogramstudentType();
    }

    /**
     * Create an instance of {@link StudentType }
     * 
     */
    public StudentType createStudentType() {
        return new StudentType();
    }

    /**
     * Create an instance of {@link StudentVurdKombProtokollType }
     * 
     */
    public StudentVurdKombProtokollType createStudentVurdKombProtokollType() {
        return new StudentVurdKombProtokollType();
    }

    /**
     * Create an instance of {@link StudieprogramType }
     * 
     */
    public StudieprogramType createStudieprogramType() {
        return new StudieprogramType();
    }

    /**
     * Create an instance of {@link StedType }
     * 
     */
    public StedType createStedType() {
        return new StedType();
    }

    /**
     * Create an instance of {@link FagpersonType }
     * 
     */
    public FagpersonType createFagpersonType() {
        return new FagpersonType();
    }

    /**
     * Create an instance of {@link SoknadType }
     * 
     */
    public SoknadType createSoknadType() {
        return new SoknadType();
    }

    /**
     * Create an instance of {@link KullKlasseStudentType }
     * 
     */
    public KullKlasseStudentType createKullKlasseStudentType() {
        return new KullKlasseStudentType();
    }

    /**
     * Create an instance of {@link DoUpsertResponse }
     * 
     */
    public DoUpsertResponse createDoUpsertResponse() {
        return new DoUpsertResponse();
    }

    /**
     * Create an instance of {@link PersonrolleType }
     * 
     */
    public PersonrolleType createPersonrolleType() {
        return new PersonrolleType();
    }

    /**
     * Create an instance of {@link KullType }
     * 
     */
    public KullType createKullType() {
        return new KullType();
    }

    /**
     * Create an instance of {@link CrudManyType }
     * 
     */
    public CrudManyType createCrudManyType() {
        return new CrudManyType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CrudManyType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://fsws.usit.no/schemas/crud", name = "doSelectManyResponse")
    public JAXBElement<CrudManyType> createDoSelectManyResponse(CrudManyType value) {
        return new JAXBElement<CrudManyType>(_DoSelectManyResponse_QNAME, CrudManyType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CrudParamType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://fsws.usit.no/schemas/crud", name = "doSelectManyRequest")
    public JAXBElement<CrudParamType> createDoSelectManyRequest(CrudParamType value) {
        return new JAXBElement<CrudParamType>(_DoSelectManyRequest_QNAME, CrudParamType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CrudParamType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://fsws.usit.no/schemas/crud", name = "doUpsertRequest")
    public JAXBElement<CrudParamType> createDoUpsertRequest(CrudParamType value) {
        return new JAXBElement<CrudParamType>(_DoUpsertRequest_QNAME, CrudParamType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CrudParamType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://fsws.usit.no/schemas/crud", name = "doSelectRequest")
    public JAXBElement<CrudParamType> createDoSelectRequest(CrudParamType value) {
        return new JAXBElement<CrudParamType>(_DoSelectRequest_QNAME, CrudParamType.class, null, value);
    }

}
