
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PersonrolleType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PersonrolleType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Fodselsdato" type="{http://fsws.usit.no/schemas/crud}FodselsdatoType" minOccurs="0"/>
 *         &lt;element name="Personnr" type="{http://fsws.usit.no/schemas/crud}PersonnrType" minOccurs="0"/>
 *         &lt;element name="Rollenr" type="{http://fsws.usit.no/schemas/crud}RollenrType" minOccurs="0"/>
 *         &lt;element name="Rollekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Dato_Fra" type="{http://fsws.usit.no/schemas/crud}DatoType" minOccurs="0"/>
 *         &lt;element name="Dato_Til" type="{http://fsws.usit.no/schemas/crud}DatoType" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Faknr" type="{http://fsws.usit.no/schemas/crud}FaknrType" minOccurs="0"/>
 *         &lt;element name="Instituttnr" type="{http://fsws.usit.no/schemas/crud}InstituttnrType" minOccurs="0"/>
 *         &lt;element name="Gruppenr" type="{http://fsws.usit.no/schemas/crud}GruppenrType" minOccurs="0"/>
 *         &lt;element name="Studieprogramkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Emnekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Versjonskode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Aktivitetkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Terminkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *         &lt;element name="Terminnr" type="{http://fsws.usit.no/schemas/crud}TerminnrType" minOccurs="0"/>
 *         &lt;element name="Etterutdkurskode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Kurstidsangivelsekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Saksbehinit_Opprettet" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Dato_Opprettet" type="{http://fsws.usit.no/schemas/crud}DatoType" minOccurs="0"/>
 *         &lt;element name="Saksbehinit_Endring" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Dato_Endring" type="{http://fsws.usit.no/schemas/crud}DatoType" minOccurs="0"/>
 *         &lt;element name="Merknadtekst" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Prioritetsnr" type="{http://fsws.usit.no/schemas/crud}RolleprioritetType" minOccurs="0"/>
 *         &lt;element name="Klassekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Status_Publisering" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Status_Default_Veileder" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Undplanlopenr" type="{http://fsws.usit.no/schemas/crud}LopenrType" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr_Eier" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonrolleType", propOrder = {
    "fodselsdato",
    "personnr",
    "rollenr",
    "rollekode",
    "datoFra",
    "datoTil",
    "institusjonsnr",
    "faknr",
    "instituttnr",
    "gruppenr",
    "studieprogramkode",
    "emnekode",
    "versjonskode",
    "aktivitetkode",
    "terminkode",
    "arstall",
    "terminnr",
    "etterutdkurskode",
    "kurstidsangivelsekode",
    "saksbehinitOpprettet",
    "datoOpprettet",
    "saksbehinitEndring",
    "datoEndring",
    "merknadtekst",
    "prioritetsnr",
    "klassekode",
    "statusPublisering",
    "statusDefaultVeileder",
    "undplanlopenr",
    "institusjonsnrEier"
})
public class PersonrolleType {

    @XmlElement(name = "Fodselsdato")
    protected String fodselsdato;
    @XmlElement(name = "Personnr")
    protected String personnr;
    @XmlElement(name = "Rollenr")
    protected String rollenr;
    @XmlElement(name = "Rollekode")
    protected String rollekode;
    @XmlElement(name = "Dato_Fra")
    protected String datoFra;
    @XmlElement(name = "Dato_Til")
    protected String datoTil;
    @XmlElement(name = "Institusjonsnr")
    protected String institusjonsnr;
    @XmlElement(name = "Faknr")
    protected String faknr;
    @XmlElement(name = "Instituttnr")
    protected String instituttnr;
    @XmlElement(name = "Gruppenr")
    protected String gruppenr;
    @XmlElement(name = "Studieprogramkode")
    protected String studieprogramkode;
    @XmlElement(name = "Emnekode")
    protected String emnekode;
    @XmlElement(name = "Versjonskode")
    protected String versjonskode;
    @XmlElement(name = "Aktivitetkode")
    protected String aktivitetkode;
    @XmlElement(name = "Terminkode")
    protected String terminkode;
    @XmlElement(name = "Arstall")
    protected String arstall;
    @XmlElement(name = "Terminnr")
    protected String terminnr;
    @XmlElement(name = "Etterutdkurskode")
    protected String etterutdkurskode;
    @XmlElement(name = "Kurstidsangivelsekode")
    protected String kurstidsangivelsekode;
    @XmlElement(name = "Saksbehinit_Opprettet")
    protected String saksbehinitOpprettet;
    @XmlElement(name = "Dato_Opprettet")
    protected String datoOpprettet;
    @XmlElement(name = "Saksbehinit_Endring")
    protected String saksbehinitEndring;
    @XmlElement(name = "Dato_Endring")
    protected String datoEndring;
    @XmlElement(name = "Merknadtekst")
    protected String merknadtekst;
    @XmlElement(name = "Prioritetsnr")
    protected String prioritetsnr;
    @XmlElement(name = "Klassekode")
    protected String klassekode;
    @XmlElement(name = "Status_Publisering")
    protected String statusPublisering;
    @XmlElement(name = "Status_Default_Veileder")
    protected String statusDefaultVeileder;
    @XmlElement(name = "Undplanlopenr")
    protected String undplanlopenr;
    @XmlElement(name = "Institusjonsnr_Eier")
    protected String institusjonsnrEier;

    /**
     * Gets the value of the fodselsdato property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFodselsdato() {
        return fodselsdato;
    }

    /**
     * Sets the value of the fodselsdato property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFodselsdato(String value) {
        this.fodselsdato = value;
    }

    /**
     * Gets the value of the personnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonnr() {
        return personnr;
    }

    /**
     * Sets the value of the personnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonnr(String value) {
        this.personnr = value;
    }

    /**
     * Gets the value of the rollenr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRollenr() {
        return rollenr;
    }

    /**
     * Sets the value of the rollenr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRollenr(String value) {
        this.rollenr = value;
    }

    /**
     * Gets the value of the rollekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRollekode() {
        return rollekode;
    }

    /**
     * Sets the value of the rollekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRollekode(String value) {
        this.rollekode = value;
    }

    /**
     * Gets the value of the datoFra property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatoFra() {
        return datoFra;
    }

    /**
     * Sets the value of the datoFra property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatoFra(String value) {
        this.datoFra = value;
    }

    /**
     * Gets the value of the datoTil property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatoTil() {
        return datoTil;
    }

    /**
     * Sets the value of the datoTil property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatoTil(String value) {
        this.datoTil = value;
    }

    /**
     * Gets the value of the institusjonsnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnr() {
        return institusjonsnr;
    }

    /**
     * Sets the value of the institusjonsnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnr(String value) {
        this.institusjonsnr = value;
    }

    /**
     * Gets the value of the faknr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaknr() {
        return faknr;
    }

    /**
     * Sets the value of the faknr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaknr(String value) {
        this.faknr = value;
    }

    /**
     * Gets the value of the instituttnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstituttnr() {
        return instituttnr;
    }

    /**
     * Sets the value of the instituttnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstituttnr(String value) {
        this.instituttnr = value;
    }

    /**
     * Gets the value of the gruppenr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGruppenr() {
        return gruppenr;
    }

    /**
     * Sets the value of the gruppenr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGruppenr(String value) {
        this.gruppenr = value;
    }

    /**
     * Gets the value of the studieprogramkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudieprogramkode() {
        return studieprogramkode;
    }

    /**
     * Sets the value of the studieprogramkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudieprogramkode(String value) {
        this.studieprogramkode = value;
    }

    /**
     * Gets the value of the emnekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmnekode() {
        return emnekode;
    }

    /**
     * Sets the value of the emnekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmnekode(String value) {
        this.emnekode = value;
    }

    /**
     * Gets the value of the versjonskode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersjonskode() {
        return versjonskode;
    }

    /**
     * Sets the value of the versjonskode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersjonskode(String value) {
        this.versjonskode = value;
    }

    /**
     * Gets the value of the aktivitetkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktivitetkode() {
        return aktivitetkode;
    }

    /**
     * Sets the value of the aktivitetkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktivitetkode(String value) {
        this.aktivitetkode = value;
    }

    /**
     * Gets the value of the terminkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminkode() {
        return terminkode;
    }

    /**
     * Sets the value of the terminkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkode(String value) {
        this.terminkode = value;
    }

    /**
     * Gets the value of the arstall property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstall() {
        return arstall;
    }

    /**
     * Sets the value of the arstall property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstall(String value) {
        this.arstall = value;
    }

    /**
     * Gets the value of the terminnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminnr() {
        return terminnr;
    }

    /**
     * Sets the value of the terminnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminnr(String value) {
        this.terminnr = value;
    }

    /**
     * Gets the value of the etterutdkurskode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEtterutdkurskode() {
        return etterutdkurskode;
    }

    /**
     * Sets the value of the etterutdkurskode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEtterutdkurskode(String value) {
        this.etterutdkurskode = value;
    }

    /**
     * Gets the value of the kurstidsangivelsekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKurstidsangivelsekode() {
        return kurstidsangivelsekode;
    }

    /**
     * Sets the value of the kurstidsangivelsekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKurstidsangivelsekode(String value) {
        this.kurstidsangivelsekode = value;
    }

    /**
     * Gets the value of the saksbehinitOpprettet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSaksbehinitOpprettet() {
        return saksbehinitOpprettet;
    }

    /**
     * Sets the value of the saksbehinitOpprettet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSaksbehinitOpprettet(String value) {
        this.saksbehinitOpprettet = value;
    }

    /**
     * Gets the value of the datoOpprettet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatoOpprettet() {
        return datoOpprettet;
    }

    /**
     * Sets the value of the datoOpprettet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatoOpprettet(String value) {
        this.datoOpprettet = value;
    }

    /**
     * Gets the value of the saksbehinitEndring property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSaksbehinitEndring() {
        return saksbehinitEndring;
    }

    /**
     * Sets the value of the saksbehinitEndring property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSaksbehinitEndring(String value) {
        this.saksbehinitEndring = value;
    }

    /**
     * Gets the value of the datoEndring property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatoEndring() {
        return datoEndring;
    }

    /**
     * Sets the value of the datoEndring property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatoEndring(String value) {
        this.datoEndring = value;
    }

    /**
     * Gets the value of the merknadtekst property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMerknadtekst() {
        return merknadtekst;
    }

    /**
     * Sets the value of the merknadtekst property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMerknadtekst(String value) {
        this.merknadtekst = value;
    }

    /**
     * Gets the value of the prioritetsnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrioritetsnr() {
        return prioritetsnr;
    }

    /**
     * Sets the value of the prioritetsnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrioritetsnr(String value) {
        this.prioritetsnr = value;
    }

    /**
     * Gets the value of the klassekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKlassekode() {
        return klassekode;
    }

    /**
     * Sets the value of the klassekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKlassekode(String value) {
        this.klassekode = value;
    }

    /**
     * Gets the value of the statusPublisering property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusPublisering() {
        return statusPublisering;
    }

    /**
     * Sets the value of the statusPublisering property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusPublisering(String value) {
        this.statusPublisering = value;
    }

    /**
     * Gets the value of the statusDefaultVeileder property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusDefaultVeileder() {
        return statusDefaultVeileder;
    }

    /**
     * Sets the value of the statusDefaultVeileder property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusDefaultVeileder(String value) {
        this.statusDefaultVeileder = value;
    }

    /**
     * Gets the value of the undplanlopenr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUndplanlopenr() {
        return undplanlopenr;
    }

    /**
     * Sets the value of the undplanlopenr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUndplanlopenr(String value) {
        this.undplanlopenr = value;
    }

    /**
     * Gets the value of the institusjonsnrEier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnrEier() {
        return institusjonsnrEier;
    }

    /**
     * Sets the value of the institusjonsnrEier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnrEier(String value) {
        this.institusjonsnrEier = value;
    }

}
