
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RomType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RomType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Romkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Bygningskode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Romnavn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Romtypekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Tall_Kapasitet_Eks" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Tall_Kapasitet_Und" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Institusjonsnr_Administrerer" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Faknr_Administrerer" type="{http://fsws.usit.no/schemas/crud}FaknrType" minOccurs="0"/>
 *         &lt;element name="Instituttnr_Administrerer" type="{http://fsws.usit.no/schemas/crud}InstituttnrType" minOccurs="0"/>
 *         &lt;element name="Gruppenr_Administrerer" type="{http://fsws.usit.no/schemas/crud}GruppenrType" minOccurs="0"/>
 *         &lt;element name="Status_Aktiv" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RomType", propOrder = {
    "romkode",
    "bygningskode",
    "romnavn",
    "romtypekode",
    "tallKapasitetEks",
    "tallKapasitetUnd",
    "institusjonsnrAdministrerer",
    "faknrAdministrerer",
    "instituttnrAdministrerer",
    "gruppenrAdministrerer",
    "statusAktiv"
})
public class RomType {

    @XmlElement(name = "Romkode")
    protected String romkode;
    @XmlElement(name = "Bygningskode")
    protected String bygningskode;
    @XmlElement(name = "Romnavn")
    protected String romnavn;
    @XmlElement(name = "Romtypekode")
    protected String romtypekode;
    @XmlElement(name = "Tall_Kapasitet_Eks")
    protected String tallKapasitetEks;
    @XmlElement(name = "Tall_Kapasitet_Und")
    protected String tallKapasitetUnd;
    @XmlElement(name = "Institusjonsnr_Administrerer")
    protected String institusjonsnrAdministrerer;
    @XmlElement(name = "Faknr_Administrerer")
    protected String faknrAdministrerer;
    @XmlElement(name = "Instituttnr_Administrerer")
    protected String instituttnrAdministrerer;
    @XmlElement(name = "Gruppenr_Administrerer")
    protected String gruppenrAdministrerer;
    @XmlElement(name = "Status_Aktiv")
    protected String statusAktiv;

    /**
     * Gets the value of the romkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRomkode() {
        return romkode;
    }

    /**
     * Sets the value of the romkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRomkode(String value) {
        this.romkode = value;
    }

    /**
     * Gets the value of the bygningskode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBygningskode() {
        return bygningskode;
    }

    /**
     * Sets the value of the bygningskode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBygningskode(String value) {
        this.bygningskode = value;
    }

    /**
     * Gets the value of the romnavn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRomnavn() {
        return romnavn;
    }

    /**
     * Sets the value of the romnavn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRomnavn(String value) {
        this.romnavn = value;
    }

    /**
     * Gets the value of the romtypekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRomtypekode() {
        return romtypekode;
    }

    /**
     * Sets the value of the romtypekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRomtypekode(String value) {
        this.romtypekode = value;
    }

    /**
     * Gets the value of the tallKapasitetEks property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTallKapasitetEks() {
        return tallKapasitetEks;
    }

    /**
     * Sets the value of the tallKapasitetEks property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTallKapasitetEks(String value) {
        this.tallKapasitetEks = value;
    }

    /**
     * Gets the value of the tallKapasitetUnd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTallKapasitetUnd() {
        return tallKapasitetUnd;
    }

    /**
     * Sets the value of the tallKapasitetUnd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTallKapasitetUnd(String value) {
        this.tallKapasitetUnd = value;
    }

    /**
     * Gets the value of the institusjonsnrAdministrerer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnrAdministrerer() {
        return institusjonsnrAdministrerer;
    }

    /**
     * Sets the value of the institusjonsnrAdministrerer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnrAdministrerer(String value) {
        this.institusjonsnrAdministrerer = value;
    }

    /**
     * Gets the value of the faknrAdministrerer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaknrAdministrerer() {
        return faknrAdministrerer;
    }

    /**
     * Sets the value of the faknrAdministrerer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaknrAdministrerer(String value) {
        this.faknrAdministrerer = value;
    }

    /**
     * Gets the value of the instituttnrAdministrerer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstituttnrAdministrerer() {
        return instituttnrAdministrerer;
    }

    /**
     * Sets the value of the instituttnrAdministrerer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstituttnrAdministrerer(String value) {
        this.instituttnrAdministrerer = value;
    }

    /**
     * Gets the value of the gruppenrAdministrerer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGruppenrAdministrerer() {
        return gruppenrAdministrerer;
    }

    /**
     * Sets the value of the gruppenrAdministrerer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGruppenrAdministrerer(String value) {
        this.gruppenrAdministrerer = value;
    }

    /**
     * Gets the value of the statusAktiv property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusAktiv() {
        return statusAktiv;
    }

    /**
     * Sets the value of the statusAktiv property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusAktiv(String value) {
        this.statusAktiv = value;
    }

}
