
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for StudentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StudentType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Fodselsdato" type="{http://fsws.usit.no/schemas/crud}FodselsdatoType" minOccurs="0"/>
 *         &lt;element name="Personnr" type="{http://fsws.usit.no/schemas/crud}PersonnrType" minOccurs="0"/>
 *         &lt;element name="Telefonnr_Arbeid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adrlin1_Arbeid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adrlin2_Arbeid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Postnr_Arbeid" type="{http://fsws.usit.no/schemas/crud}PostnrType" minOccurs="0"/>
 *         &lt;element name="Adrlin3_Arbeid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adresseland_Arbeid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Telefonnr_Semtelefon" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="TelefonLandnr_Semtelefon" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="TelefonRetnnr_Semtelefon" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adrlin1_Semadr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adrlin2_Semadr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Postnr_Semadr" type="{http://fsws.usit.no/schemas/crud}PostnrType" minOccurs="0"/>
 *         &lt;element name="Adrlin3_Semadr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adresseland_Semadr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Fichekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Studentnr_Tildelt" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StudentType", propOrder = {
    "fodselsdato",
    "personnr",
    "telefonnrArbeid",
    "adrlin1Arbeid",
    "adrlin2Arbeid",
    "postnrArbeid",
    "adrlin3Arbeid",
    "adresselandArbeid",
    "telefonnrSemtelefon",
    "telefonLandnrSemtelefon",
    "telefonRetnnrSemtelefon",
    "adrlin1Semadr",
    "adrlin2Semadr",
    "postnrSemadr",
    "adrlin3Semadr",
    "adresselandSemadr",
    "fichekode",
    "studentnrTildelt"
})
public class StudentType {

    @XmlElement(name = "Fodselsdato")
    protected String fodselsdato;
    @XmlElement(name = "Personnr")
    protected String personnr;
    @XmlElement(name = "Telefonnr_Arbeid")
    protected String telefonnrArbeid;
    @XmlElement(name = "Adrlin1_Arbeid")
    protected String adrlin1Arbeid;
    @XmlElement(name = "Adrlin2_Arbeid")
    protected String adrlin2Arbeid;
    @XmlElement(name = "Postnr_Arbeid")
    protected String postnrArbeid;
    @XmlElement(name = "Adrlin3_Arbeid")
    protected String adrlin3Arbeid;
    @XmlElement(name = "Adresseland_Arbeid")
    protected String adresselandArbeid;
    @XmlElement(name = "Telefonnr_Semtelefon")
    protected String telefonnrSemtelefon;
    @XmlElement(name = "TelefonLandnr_Semtelefon")
    protected String telefonLandnrSemtelefon;
    @XmlElement(name = "TelefonRetnnr_Semtelefon")
    protected String telefonRetnnrSemtelefon;
    @XmlElement(name = "Adrlin1_Semadr")
    protected String adrlin1Semadr;
    @XmlElement(name = "Adrlin2_Semadr")
    protected String adrlin2Semadr;
    @XmlElement(name = "Postnr_Semadr")
    protected String postnrSemadr;
    @XmlElement(name = "Adrlin3_Semadr")
    protected String adrlin3Semadr;
    @XmlElement(name = "Adresseland_Semadr")
    protected String adresselandSemadr;
    @XmlElement(name = "Fichekode")
    protected String fichekode;
    @XmlElement(name = "Studentnr_Tildelt")
    protected String studentnrTildelt;

    /**
     * Gets the value of the fodselsdato property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFodselsdato() {
        return fodselsdato;
    }

    /**
     * Sets the value of the fodselsdato property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFodselsdato(String value) {
        this.fodselsdato = value;
    }

    /**
     * Gets the value of the personnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonnr() {
        return personnr;
    }

    /**
     * Sets the value of the personnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonnr(String value) {
        this.personnr = value;
    }

    /**
     * Gets the value of the telefonnrArbeid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelefonnrArbeid() {
        return telefonnrArbeid;
    }

    /**
     * Sets the value of the telefonnrArbeid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelefonnrArbeid(String value) {
        this.telefonnrArbeid = value;
    }

    /**
     * Gets the value of the adrlin1Arbeid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin1Arbeid() {
        return adrlin1Arbeid;
    }

    /**
     * Sets the value of the adrlin1Arbeid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin1Arbeid(String value) {
        this.adrlin1Arbeid = value;
    }

    /**
     * Gets the value of the adrlin2Arbeid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin2Arbeid() {
        return adrlin2Arbeid;
    }

    /**
     * Sets the value of the adrlin2Arbeid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin2Arbeid(String value) {
        this.adrlin2Arbeid = value;
    }

    /**
     * Gets the value of the postnrArbeid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostnrArbeid() {
        return postnrArbeid;
    }

    /**
     * Sets the value of the postnrArbeid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostnrArbeid(String value) {
        this.postnrArbeid = value;
    }

    /**
     * Gets the value of the adrlin3Arbeid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin3Arbeid() {
        return adrlin3Arbeid;
    }

    /**
     * Sets the value of the adrlin3Arbeid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin3Arbeid(String value) {
        this.adrlin3Arbeid = value;
    }

    /**
     * Gets the value of the adresselandArbeid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdresselandArbeid() {
        return adresselandArbeid;
    }

    /**
     * Sets the value of the adresselandArbeid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdresselandArbeid(String value) {
        this.adresselandArbeid = value;
    }

    /**
     * Gets the value of the telefonnrSemtelefon property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelefonnrSemtelefon() {
        return telefonnrSemtelefon;
    }

    /**
     * Sets the value of the telefonnrSemtelefon property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelefonnrSemtelefon(String value) {
        this.telefonnrSemtelefon = value;
    }

    /**
     * Gets the value of the telefonLandnrSemtelefon property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelefonLandnrSemtelefon() {
        return telefonLandnrSemtelefon;
    }

    /**
     * Sets the value of the telefonLandnrSemtelefon property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelefonLandnrSemtelefon(String value) {
        this.telefonLandnrSemtelefon = value;
    }

    /**
     * Gets the value of the telefonRetnnrSemtelefon property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelefonRetnnrSemtelefon() {
        return telefonRetnnrSemtelefon;
    }

    /**
     * Sets the value of the telefonRetnnrSemtelefon property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelefonRetnnrSemtelefon(String value) {
        this.telefonRetnnrSemtelefon = value;
    }

    /**
     * Gets the value of the adrlin1Semadr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin1Semadr() {
        return adrlin1Semadr;
    }

    /**
     * Sets the value of the adrlin1Semadr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin1Semadr(String value) {
        this.adrlin1Semadr = value;
    }

    /**
     * Gets the value of the adrlin2Semadr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin2Semadr() {
        return adrlin2Semadr;
    }

    /**
     * Sets the value of the adrlin2Semadr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin2Semadr(String value) {
        this.adrlin2Semadr = value;
    }

    /**
     * Gets the value of the postnrSemadr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostnrSemadr() {
        return postnrSemadr;
    }

    /**
     * Sets the value of the postnrSemadr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostnrSemadr(String value) {
        this.postnrSemadr = value;
    }

    /**
     * Gets the value of the adrlin3Semadr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdrlin3Semadr() {
        return adrlin3Semadr;
    }

    /**
     * Sets the value of the adrlin3Semadr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdrlin3Semadr(String value) {
        this.adrlin3Semadr = value;
    }

    /**
     * Gets the value of the adresselandSemadr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdresselandSemadr() {
        return adresselandSemadr;
    }

    /**
     * Sets the value of the adresselandSemadr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdresselandSemadr(String value) {
        this.adresselandSemadr = value;
    }

    /**
     * Gets the value of the fichekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFichekode() {
        return fichekode;
    }

    /**
     * Sets the value of the fichekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFichekode(String value) {
        this.fichekode = value;
    }

    /**
     * Gets the value of the studentnrTildelt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudentnrTildelt() {
        return studentnrTildelt;
    }

    /**
     * Sets the value of the studentnrTildelt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudentnrTildelt(String value) {
        this.studentnrTildelt = value;
    }

}
