
package no.usit.fsws.crud;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UndervisningsenhetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UndervisningsenhetType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Institusjonsnr" type="{http://fsws.usit.no/schemas/crud}InstitusjonsnrType" minOccurs="0"/>
 *         &lt;element name="Emnekode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Versjonskode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Terminkode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Arstall" type="{http://fsws.usit.no/schemas/crud}AarstallType" minOccurs="0"/>
 *         &lt;element name="Terminnr" type="{http://fsws.usit.no/schemas/crud}TerminnrType" minOccurs="0"/>
 *         &lt;element name="Emnekode_Felles" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Versjonskode_Felles" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UndervisningsenhetType", propOrder = {
    "institusjonsnr",
    "emnekode",
    "versjonskode",
    "terminkode",
    "arstall",
    "terminnr",
    "emnekodeFelles",
    "versjonskodeFelles"
})
public class UndervisningsenhetType {

    @XmlElement(name = "Institusjonsnr")
    protected String institusjonsnr;
    @XmlElement(name = "Emnekode")
    protected String emnekode;
    @XmlElement(name = "Versjonskode")
    protected String versjonskode;
    @XmlElement(name = "Terminkode")
    protected String terminkode;
    @XmlElement(name = "Arstall")
    protected String arstall;
    @XmlElement(name = "Terminnr")
    protected String terminnr;
    @XmlElement(name = "Emnekode_Felles")
    protected String emnekodeFelles;
    @XmlElement(name = "Versjonskode_Felles")
    protected String versjonskodeFelles;

    /**
     * Gets the value of the institusjonsnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstitusjonsnr() {
        return institusjonsnr;
    }

    /**
     * Sets the value of the institusjonsnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstitusjonsnr(String value) {
        this.institusjonsnr = value;
    }

    /**
     * Gets the value of the emnekode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmnekode() {
        return emnekode;
    }

    /**
     * Sets the value of the emnekode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmnekode(String value) {
        this.emnekode = value;
    }

    /**
     * Gets the value of the versjonskode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersjonskode() {
        return versjonskode;
    }

    /**
     * Sets the value of the versjonskode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersjonskode(String value) {
        this.versjonskode = value;
    }

    /**
     * Gets the value of the terminkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminkode() {
        return terminkode;
    }

    /**
     * Sets the value of the terminkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkode(String value) {
        this.terminkode = value;
    }

    /**
     * Gets the value of the arstall property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArstall() {
        return arstall;
    }

    /**
     * Sets the value of the arstall property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArstall(String value) {
        this.arstall = value;
    }

    /**
     * Gets the value of the terminnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerminnr() {
        return terminnr;
    }

    /**
     * Sets the value of the terminnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminnr(String value) {
        this.terminnr = value;
    }

    /**
     * Gets the value of the emnekodeFelles property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmnekodeFelles() {
        return emnekodeFelles;
    }

    /**
     * Sets the value of the emnekodeFelles property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmnekodeFelles(String value) {
        this.emnekodeFelles = value;
    }

    /**
     * Gets the value of the versjonskodeFelles property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersjonskodeFelles() {
        return versjonskodeFelles;
    }

    /**
     * Sets the value of the versjonskodeFelles property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersjonskodeFelles(String value) {
        this.versjonskodeFelles = value;
    }

}
